<p>{{data.message}}</p>
<div class="text-end">
    <button type="button" class="default-button" (click)="onNoClick()">Cancel</button>
    <button type="button" class="button" (click)="confirm()">OK</button>
</div>